%define module	Algorithm-C3
%define name	perl-%{module}
%define	modprefix Algorithm

%define version 0.07

%define	rel	1
%define release %mkrel 1

Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL or Artistic
Group:		Development/Perl
Summary:	A module for merging hierarchies using the C3 algorithm
Source:		ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
BuildRequires:	perl(Carp) >= 0.01
BuildRequires:  perl(Module::Build)
BuildRequires:	perl(Test::More) >= 0.47
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
This module implements the C3 algorithm. Most of the uses for C3
revolve around class building and metamodels, but it could also be
used for things like dependency resolution as well since it tends to
do such a nice job of preserving local precendence orderings.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modprefix}
%{_mandir}/man*/*



%changelog
* Sun Jul 01 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.07-1mdv2008.0
+ Revision: 46309
- update to new version 0.07

* Mon Apr 23 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.06-1mdv2008.0
+ Revision: 17417
- New version 0.06


* Sat Aug 26 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-26 14:35:38 (58185)
- Version 0.05

* Thu Aug 10 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-10 03:21:46 (55292)
Version 0.04

* Wed Aug 09 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-09 15:01:22 (54773)
Version 0.03

* Fri Aug 04 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-04 22:13:46 (53023)
Version 0.02

* Fri Aug 04 2006 Scott Karns <scottk@mandriva.org>
+ 2006-08-04 21:35:02 (52989)
import perl-Algorithm-C3-0.01-1mdk

* Mon May 22 2006 Scott Karns <scottk@mandriva.org> 0.01-1mdk
- First mandriva package

